1 Reply Latest reply on Jun 11, 2011 10:40 PM by Dmitry Egorov

    Jboss 5 -> 6 migration issue

    Dmitry Egorov Newbie

      Hi, everybody!

      We make migration our project from Jboss 5.1 to 6.

      Everything seems fine, but still one issue.

      Our product use third part library (JOPCClient, create bridge Java ↔ OPC servers).

      JOPCClient need it's own rbxJniOpcClientApi.dll. Path to dll set in Windows system Path.

      Deploy and run under Jboss 5.1 is Ok, but under 6 I got error:

      Caused by: java.lang.UnsatisfiedLinkError: no rbxJniOpcClientApi in java.library.path

      at java.lang.ClassLoader.loadLibrary(Unknown Source) [:1.6.0_24]

      at java.lang.Runtime.loadLibrary0(Unknown Source) [:1.6.0_24]

      at java.lang.System.loadLibrary(Unknown Source) [:1.6.0_24]

      at dk.opi.io.opc.opcclient.OpcClientApi.<clinit>(OpcClientApi.java:122

      Thanks in advance, Dmitry.